function update_nodes(jnt)
global np xord yord edgearray
global numnp numel

for ifor = 1:1:numnp
    i1 = jnt(ifor);
    jntinv(i1) = ifor;
end
for ifor = 1:numnp
    x(ifor) = xord(jntinv(ifor));
    y(ifor) = yord(jntinv(ifor));
end
xord=x;
yord=y;

for ifor=1:numel
    conn(ifor,1)=jnt(np(ifor,1));
    conn(ifor,2)=jnt(np(ifor,2));
    conn(ifor,3)=jnt(np(ifor,3));
end
np=conn;

newedge=zeros(size(edgearray));
for ifor=1:size(edgearray,2)
    newedge(1,ifor)=jnt(edgearray(1,ifor));
    newedge(2,ifor)=jnt(edgearray(2,ifor));
    newedge(5,ifor)=edgearray(5,ifor);
end
edgearray=newedge;
    